org.eclipse.viatra.cep.core.metamodels.trace

## Interface TimedZoneTrace

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    TimedZoneTraceImpl

      public interface TimedZoneTrace
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Timed Zone Trace'.

  The following features are supported:

  - `Timed Zone`
  - `Transition`
  See Also:
    `TracePackage.getTimedZoneTrace()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TimedZone` | `getTimedZone()` Returns the value of the 'Timed Zone' reference.
    `Transition` | `getTransition()` Returns the value of the 'Transition' reference.
    `void` | `setTimedZone(TimedZone value)` Sets the value of the '`Timed Zone`' reference.
    `void` | `setTransition(Transition value)` Sets the value of the '`Transition`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTimedZone

          TimedZone getTimedZone()

      Returns the value of the 'Timed Zone' reference.

      If the meaning of the 'Timed Zone' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timed Zone' reference.
      See Also:
        `setTimedZone(TimedZone)`, `TracePackage.getTimedZoneTrace_TimedZone()`
      Generated:
      Model:
        required="true"

    - #### setTimedZone

          void setTimedZone(TimedZone value)

      Sets the value of the '`Timed Zone`' reference.
      Parameters:
        `value` - the new value of the 'Timed Zone' reference.
      See Also:
        `getTimedZone()`
      Generated:

    - #### getTransition

          Transition getTransition()

      Returns the value of the 'Transition' reference.

      If the meaning of the 'Transition' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Transition' reference.
      See Also:
        `setTransition(Transition)`, `TracePackage.getTimedZoneTrace_Transition()`
      Generated:
      Model:
        required="true"

    - #### setTransition

          void setTransition(Transition value)

      Sets the value of the '`Transition`' reference.
      Parameters:
        `value` - the new value of the 'Transition' reference.
      See Also:
        `getTransition()`
      Generated: